%define upstream_name    Pod-HtmlEasy
%define upstream_version 1.1.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Generate personalized HTML from PODs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(English)
BuildRequires: perl(Exporter::Easy)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Pod::Escapes)
BuildRequires: perl(Pod::ParseLink)
BuildRequires: perl(Pod::Parser)
BuildRequires: perl(Readonly)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Regexp::Common::Email::Address)
BuildRequires: perl(Test::More)
BuildRequires: perl(feature)
BuildRequires: perl(version)
BuildArch: noarch

%description
The purpose of this module is to generate HTML data from POD in a easy and
personalized mode. By default the HTML generated is similar to the CPAN
site style for module documentation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.json Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/*
%{_mandir}/*/*



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.1.10-3.mga5
+ Revision: 748940
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.10-2.mga5
+ Revision: 686007
- Mageia 5 Mass Rebuild

* Fri May 23 2014 tv <tv> 1.1.10-1.mga5
+ Revision: 625202
- imported package perl-Pod-HtmlEasy


* Fri May 23 2014 cpan2dist 1.1.10-1mga
- initial mageia release, generated with cpan2dist
